aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/angstrom/angstrom-led-config
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/angstrom/angstrom-led-config
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/angstrom/angstrom-led-config')
-rw-r--r--recipes/angstrom/angstrom-led-config/at32stk1000/leds9
-rw-r--r--recipes/angstrom/angstrom-led-config/beagleboard/leds3
-rwxr-xr-xrecipes/angstrom/angstrom-led-config/led-config31
-rw-r--r--recipes/angstrom/angstrom-led-config/leds1
4 files changed, 44 insertions, 0 deletions
diff --git a/recipes/angstrom/angstrom-led-config/at32stk1000/leds b/recipes/angstrom/angstrom-led-config/at32stk1000/leds
new file mode 100644
index 0000000000..5adb04da5d
--- /dev/null
+++ b/recipes/angstrom/angstrom-led-config/at32stk1000/leds
@@ -0,0 +1,9 @@
+#file format: name trigger
+led0:amber nand-disk
+led1:amber mmc0
+led2:amber none
+led3:amber none
+led4:amber none
+led5:amber none
+led6:amber none
+led7:amber heartbeat
diff --git a/recipes/angstrom/angstrom-led-config/beagleboard/leds b/recipes/angstrom/angstrom-led-config/beagleboard/leds
new file mode 100644
index 0000000000..b50fedd783
--- /dev/null
+++ b/recipes/angstrom/angstrom-led-config/beagleboard/leds
@@ -0,0 +1,3 @@
+#file format: name trigger
+beagleboard::usr0 heartbeat
+beagleboard::usr1 mmc0
diff --git a/recipes/angstrom/angstrom-led-config/led-config b/recipes/angstrom/angstrom-led-config/led-config
new file mode 100755
index 0000000000..63d52d6cd0
--- /dev/null
+++ b/recipes/angstrom/angstrom-led-config/led-config
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+if [ -e /sys/class/leds/ ] ; then
+
+case "$1" in
+ start)
+ echo "Configuring leds:"
+ for led in /sys/class/leds/* ; do
+ trigger=$(grep "$(basename $led)" /etc/default/leds | awk '{print $2}')
+ if [ "x$trigger" = "x" ] ; then trigger="none" ; fi
+ echo " $(basename $led): $trigger"
+ echo "$trigger" > "$led/trigger"
+ done
+;;
+ stop)
+ echo "Deconfiguring leds:"
+ for led in /sys/class/leds/* ; do
+ echo " $(basename $led): no trigger"
+ echo "none" > "$led/trigger"
+ done
+ ;;
+ *)
+ echo "Usage: /etc/init.d/led-config {start|stop}"
+ exit 1
+esac
+
+else
+ echo "No LEDs detected"
+fi
+
+exit 0
diff --git a/recipes/angstrom/angstrom-led-config/leds b/recipes/angstrom/angstrom-led-config/leds
new file mode 100644
index 0000000000..7de8a2e3ae
--- /dev/null
+++ b/recipes/angstrom/angstrom-led-config/leds
@@ -0,0 +1 @@
+#file format: name trigger